Agent event stream
curl --request GET \
--url https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"events": [
{
"id": "<string>",
"kind": "<string>",
"created_at": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"seq": 123,
"turn": 123,
"tool": "<string>",
"summary": "<string>",
"detail": {},
"duration_ms": 123,
"ok": true,
"payload": {
"event_id": "<string>",
"args": "<unknown>",
"result": "<string>",
"thinking": "<string>",
"storage_ref": {}
}
}
],
"sessions": [
{
"id": "<string>",
"agent_type": "<string>",
"status": "<string>",
"started_at": "<string>",
"turn_count": 123,
"cost_cents": 123,
"cost_credits": 123,
"parent_session_id": "<string>",
"agent_name": "<string>",
"display_name": "<string>",
"task": "<string>",
"ended_at": "<string>",
"spend_access": {}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Not found",
"code": "not_found",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "Rate limit exceeded: 120 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Atlas
Agent event stream
The agents’ sessions and turn summaries, oldest first.
With activity access, also includes tool events; when an event’s payload.storage_ref is present, read its full
payload from GET …/events/{event_id}/payload. For a live feed, use GET …/events/stream.
Omit before to page forward from the start. Use before=latest to page backward; each window is oldest first.
GET
/
v1
/
atlas
/
investigations
/
{investigation_id}
/
events
Agent event stream
curl --request GET \
--url https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"events": [
{
"id": "<string>",
"kind": "<string>",
"created_at": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"seq": 123,
"turn": 123,
"tool": "<string>",
"summary": "<string>",
"detail": {},
"duration_ms": 123,
"ok": true,
"payload": {
"event_id": "<string>",
"args": "<unknown>",
"result": "<string>",
"thinking": "<string>",
"storage_ref": {}
}
}
],
"sessions": [
{
"id": "<string>",
"agent_type": "<string>",
"status": "<string>",
"started_at": "<string>",
"turn_count": 123,
"cost_cents": 123,
"cost_credits": 123,
"parent_session_id": "<string>",
"agent_name": "<string>",
"display_name": "<string>",
"task": "<string>",
"ended_at": "<string>",
"spend_access": {}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Not found",
"code": "not_found",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "Rate limit exceeded: 120 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Path Parameters
Query Parameters
Response
Investigation sessions and turn summaries.
Was this page helpful?